export type { CSSInterpolation, CSSObject, Css, Cx, CxArg } from "./types";
import type { EmotionCache } from "@emotion/cache";
/** https://github.com/garronej/tss-react */
export declare function createMakeStyles<Theme>(params: {
    useTheme(): Theme;
    cache?: EmotionCache;
}): {
    makeStyles: <Params = void>() => <Key extends string>(getCssObjectOrCssObject: Record<Key, import("./types").CSSObject> | ((theme: Theme, params: Params, css: import("./types").Css) => Record<Key, import("./types").CSSObject>)) => (params: Params) => {
        classes: Record<Key, string>;
        theme: Theme;
        css: import("./types").Css;
        cx: import("./types").Cx;
    };
    useStyles: () => {
        theme: Theme;
        css: import("./types").Css;
        cx: import("./types").Cx;
    };
};
/** Reexport from @emotion/react */
export { keyframes } from "@emotion/react";
export { GlobalStyles } from "./GlobalStyles";
