"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useSemanticGuaranteeMemo = void 0;
const react_1 = require("react");
function useSemanticGuaranteeMemo(fn, deps) {
    const ref = react_1.useRef();
    if (!ref.current ||
        deps.length !== ref.current.prevDeps.length ||
        ref.current.prevDeps.map((v, i) => v === deps[i]).indexOf(false) >= 0) {
        ref.current = {
            "v": fn(),
            "prevDeps": [...deps],
        };
    }
    return ref.current.v;
}
exports.useSemanticGuaranteeMemo = useSemanticGuaranteeMemo;
//# sourceMappingURL=useSemanticGuaranteeMemo.js.map